/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:59:42.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.aspect;

import cn.com.qmth.examcloud.app.model.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ControllerAdvice(annotations = Controller.class)
public class ControllerAspect {
    private final static Logger log = LoggerFactory.getLogger(ControllerAspect.class);

    @ResponseBody
    @ExceptionHandler(value = RuntimeException.class)
    public Result handle(RuntimeException e) {
        log.error(e.getMessage(), e);
        return new Result().error(e.getMessage());
    }

    @ResponseBody
    @ExceptionHandler(value = Exception.class)
    public Result handle(Exception e) {
        log.error(e.getMessage(), e);
        return new Result().error(e.getMessage());
    }

}